=== debian/control ===
Source: ros-galactic-rmw-connextdds-common
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-fastcdr, ros-galactic-rcpputils, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-dds-common, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-rti-connext-dds-cmake-module, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmw-connextdds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ament-cmake, ros-galactic-fastcdr, ros-galactic-rcpputils, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-dds-common, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-rti-connext-dds-cmake-module, ros-galactic-ros-workspace
Description: Common source for RMW implementations built with RTI Connext DDS Professional and RTI Connext DDS Micro.
